# $Revision: 1.152.2.3 $, $Date: 2009/06/26 01:07:09 $
# TODO
# - libnut enabled   no (http://www.nut-container.org/)
#
# Conditional build:
%bcond_with	amr		# build 3GPP Adaptive Multi Rate (AMR) speech codec
%bcond_without	autoreqdep	# don't care about package name deps generated by rpm
%bcond_without	imlib2		# don't build imlib2 vhook module
#
%define		_snap	2007-10-09
%define		snap	%(echo %{_snap} | tr -d -)
%define		rel 2
Summary:	Realtime audio/video encoder and streaming server
Summary(pl.UTF-8):	Koder audio/wideo czasu rzeczywistego oraz serwer strumieni
Name:		ffmpeg
Version:	0.4.9
Release:	4.%{snap}.%{rel}
# LGPL or GPL, chosen at configure time (GPL version is more featured)
# (postprocessing, a52, xvid, x264, faad)
License:	GPL with LGPL parts
Group:		Applications/Multimedia
#Source0:	http://dl.sourceforge.net/ffmpeg/%{name}-%{version}-pre1.tar.gz
Source0:	http://ffmpeg.mplayerhq.hu/%{name}-export-snapshot.tar.bz2
# Source0-md5:	fcf10b6a1bf7d0ff1aa41e7d57c69e22
Source1:	ffserver.init
Source2:	ffserver.sysconfig
Source3:	ffserver.conf
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-img_convert_symbol.patch
Patch2:		%{name}-a52bin.patch
Patch3:		%{name}-pkgconfig-lib64.patch
Patch4:		%{name}-gcc3.patch
URL:		http://ffmpeg.mplayerhq.hu/
BuildRequires:	SDL-devel
BuildRequires:	a52dec-libs-devel
%if %{with amr}
BuildRequires:	amrnb-devel >= 6.1.0.4
BuildRequires:	amrwb-devel >= 7.0.0.1
%endif
BuildRequires:	faac-devel
BuildRequires:	faad2-devel
BuildRequires:	freetype-devel
%ifarch ppc
# require version with altivec support fixed
BuildRequires:	gcc >= 5:3.3.2-3
%endif
%{?with_imlib2:BuildRequires:	imlib2-devel >= 1.3.0}
BuildRequires:	lame-libs-devel
BuildRequires:	libgsm-devel
BuildRequires:	libogg-devel
BuildRequires:	libraw1394-devel
BuildRequires:	libtheora-devel >= 1.0-0.alpha7
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	libvorbis-devel
BuildRequires:	libx264-devel >= 0.1.2-1.20061024_2245.1
%ifarch %{ix86}
%ifnarch i386 i486
BuildRequires:	nasm
%endif
%endif
BuildRequires:	perl-tools-pod
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tetex
BuildRequires:	texinfo
%{?with_amr:BuildRequires:	unzip}
BuildRequires:	xvid-devel >= 1:1.1.0
BuildRequires:	zlib-devel
%{?with_autoreqdep:BuildConflicts:	libpostproc}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xvid >= 1:1.1.0
Obsoletes:	libpostproc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%define		specflags	-fno-strict-aliasing

# -fomit-frame-pointer is always needed on x86 due to lack of registers (-fPIC takes one)
%define		specflags_ia32	-fomit-frame-pointer
# -mmmx is needed to enable <mmintrin.h> code.
%define		specflags_i586	-mmmx
%define		specflags_i686	-mmmx

%description
ffmpeg is a hyper fast realtime audio/video encoder and streaming
server. It can grab from a standard Video4Linux video source and
convert it into several file formats based on DCT/motion compensation
encoding. Sound is compressed in MPEG audio layer 2 or using an AC3
compatible stream.

%description -l pl.UTF-8
ffmpeg jest bardzo szybkim koderem audio/wideo w czasie rzeczywistym
oraz serwerem strumieni multimedialnych. ffmpeg potrafi zrzucać dane
ze standardowego urządzenia Video4Linux i przekonwertować je w kilka
formatów plików bazujących na kodowaniu DCT/kompensacji ruchu. Dźwięk
jest kompresowany do strumienia MPEG audio layer 2 lub używając
strumienia kompatybilnego z AC3.

%package libs
Summary:	ffmpeg libraries
Summary(pl.UTF-8):	Biblioteki ffmpeg
Group:		Libraries

%description libs
This package contains ffmpeg shared libraries.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki współdzielone ffmpeg.

%package devel
Summary:	ffmpeg header files
Summary(pl.UTF-8):	Pliki nagłówkowe ffmpeg
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
# for libavcodec:
%if %{with amr}
Requires:	amrnb-devel
Requires:	amrwb-devel >= 5.3.0
%endif
Requires:	faac-devel
Requires:	faad2-devel
Requires:	lame-libs-devel
Requires:	libgsm-devel
Requires:	libtheora-devel >= 1.0-0.alpha7
Requires:	libvorbis-devel
Requires:	libx264-devel >= 0.1.2-1.20060828_2245.1
Requires:	xvid-devel >= 1:1.1.0
Requires:	zlib-devel
Obsoletes:	libpostproc-devel

%description devel
ffmpeg header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe ffmpeg.

%package static
Summary:	ffmpeg static libraries
Summary(pl.UTF-8):	Statyczne biblioteki ffmpeg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
ffmpeg static libraries (libavcodec and libavformat).

%description static -l pl.UTF-8
Statyczne biblioteki ffmpeg (libavcodec i libavformat).

%package ffplay
Summary:	FFplay - SDL-based media player
Summary(pl.UTF-8):	FFplay - odtwarzacz mediów oparty na SDL
Group:		Applications/Multimedia
Requires:	%{name}-libs = %{version}-%{release}

%description ffplay
FFplay is a very simple and portable media player using the FFmpeg
libraries and the SDL library. It is mostly used as a test bench for
the various APIs of FFmpeg.

%description ffplay -l pl.UTF-8
FFplay to bardzo prosty i przenośny odtwarzacz mediów używający
bibliotek FFmpeg oraz biblioteki SDL. Jest używany głównie do
testowania różnych API FFmpeg.

%package vhook-imlib2
Summary:	imlib2 based hook
Summary(pl.UTF-8):	Moduł przejściowy oparty o imlib2
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description vhook-imlib2
This module implements a text overlay for a video image. Currently it
supports a fixed overlay or reading the text from a file. The string
is passed through strftime so that it is easy to imprint the date and
time onto the image.

%description vhook-imlib2 -l pl.UTF-8
Ten moduł implementuje tekstową nakładkę dla obrazu. Aktualnie
obsługuje stałą nakładkę lub wczytywanie tekstu z pliku. Łańcuch jest
przepuszczany przez strftime, więc łatwo umieścić datę i czas na
obrazie.

%package ffserver
Summary:	FFserver video server
Summary(pl.UTF-8):	FFserver - serwer strumieni obrazu
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts >= 0.4.0.10

%description ffserver
FFserver is a streaming server for both audio and video. It supports
several live feeds, streaming from files and time shifting on live
feeds (you can seek to positions in the past on each live feed,
provided you specify a big enough feed storage in ffserver.conf).

%description ffserver -l pl.UTF-8
FFserver to serwer strumieni dla dźwięku i obrazu. Obsługuje kilka
źródeł na żywo, przekazywanie strumieni z plików i przesuwanie w
czasie dla źródeł na żywo (można przeskakiwać na położenia w
przeszłości dla każdego źródła na żywo, pod warunkiem odpowiednio
dużej przestrzeni na dane skonfigurowanej w ffserver.conf).

%prep
%setup -q -n %{name}-export-%{_snap}
%patch0 -p1
%patch1 -p1
#%patch2 -p1
%ifarch %{x8664}
%patch3 -p0
%endif
%patch4 -p1

%build
# notes:
# - it's not autoconf configure
# - --disable-debug, --disable-opts, tune=generic causes not to override our optflags
./configure \
	--arch=%{_target_base_arch} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--mandir=%{_mandir} \
	--disable-strip \
	--enable-liba52 \
	--enable-liba52bin \
	--enable-libfaac \
	--enable-libfaad \
	--enable-libfaadbin \
	--enable-gpl \
	--enable-libgsm \
	--enable-libogg \
	--enable-libtheora \
	--enable-libmp3lame \
	--enable-pp \
	--enable-pthreads \
	--enable-shared \
	--enable-swscaler \
	--enable-libvorbis \
	--enable-libx264 \
	--enable-libxvid \
%ifnarch %{ix86} %{x8664}
	--disable-mmx \
%endif
%ifarch i386 i486
	--disable-mmx \
%endif
%if %{with amr}
	--enable-libamr-nb \
	--enable-libamr-wb \
%endif
	--cc="%{__cc}" \
	--extra-cflags="%{rpmcflags}" \
	--extra-ldflags="%{rpmldflags}" \
	--disable-debug \
	--disable-opts \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},/etc/{sysconfig,rc.d/init.d}} \
	$RPM_BUILD_ROOT/var/{cache,log}/ffserver

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install config.h $RPM_BUILD_ROOT%{_includedir}/ffmpeg
install libavutil/intreadwrite.h $RPM_BUILD_ROOT%{_includedir}/ffmpeg
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ffserver
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ffserver
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/ffserver.conf
mv -f $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/ffserver

%clean
rm -rf $RPM_BUILD_ROOT

%post libs	-p /sbin/ldconfig
%postun libs	-p /sbin/ldconfig

%pre ffserver
%groupadd -g 167 ffserver
%useradd -g ffserver -u 167 ffserver

%post ffserver
/sbin/chkconfig --add ffserver
%service ffserver restart

%preun ffserver
if [ "$1" = 0 ]; then
	%service ffserver stop
	/sbin/chkconfig --del ffserver
fi

%postun ffserver
if [ "$1" = 0 ]; then
	%userremove ffserver
	%groupremove ffserver
fi

%files
%defattr(644,root,root,755)
%doc Changelog README doc/*.html doc/TODO
%attr(755,root,root) %{_bindir}/ffmpeg
%{_mandir}/man1/ffmpeg.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavcodec.so.*.*.*
%attr(755,root,root) %{_libdir}/libavformat.so.*.*.*
%attr(755,root,root) %{_libdir}/libavutil.so.*.*.*
%attr(755,root,root) %{_libdir}/libpostproc.so.*.*.*
%attr(755,root,root) %{_libdir}/libswscale.so.*.*.*
%dir %{_libdir}/vhook
%attr(755,root,root) %{_libdir}/vhook/drawtext.so
%attr(755,root,root) %{_libdir}/vhook/fish.so
%attr(755,root,root) %{_libdir}/vhook/null.so
%attr(755,root,root) %{_libdir}/vhook/ppm.so
%attr(755,root,root) %{_libdir}/vhook/watermark.so

%files devel
%defattr(644,root,root,755)
%doc doc/optimization.txt
%attr(755,root,root) %{_libdir}/libavcodec.so
%attr(755,root,root) %{_libdir}/libavformat.so
%attr(755,root,root) %{_libdir}/libavutil.so
%attr(755,root,root) %{_libdir}/libpostproc.so
%attr(755,root,root) %{_libdir}/libswscale.so
%{_includedir}/ffmpeg
%{_includedir}/postproc
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files ffplay
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ffplay
%{_mandir}/man1/ffplay.1*

%if %{with imlib2}
%files vhook-imlib2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/vhook/imlib2.so
%endif

%files ffserver
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ffserver.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ffserver
%attr(755,root,root) %{_sbindir}/ffserver
%attr(754,root,root) /etc/rc.d/init.d/ffserver
%{_mandir}/man1/ffserver.1*
%dir %attr(770,root,ffserver) /var/cache/ffserver
%dir %attr(770,root,ffserver) /var/log/ffserver

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffmpeg.spec,v $
Revision 1.152.2.3  2009/06/26 01:07:09  glen
- typo

Revision 1.152.2.2  2009/06/26 01:01:35  glen
- omit compiler warning message; rel 2

Revision 1.152.2.1  2008/02/05 16:58:58  glen
- rel 1

Revision 1.152  2007-11-15 16:50:32  hawk
- fix generating .pc files on x86_64 (/usr/lib -> /usr/lib64)
- release 4

Revision 1.151  2007-11-15 06:21:46  wolvverine
- up rel to x.0.3 for libx264-0.1.2-1.20071008_2245.1

Revision 1.150  2007-11-11 17:45:34  wolvverine
- up rel x.0.2

Revision 1.149  2007/10/09 18:43:25  glen
- changes for 20071009 snap

Revision 1.148  2007/10/09 17:17:47  aflinta
- refresh snap to 20071009 and rebuild with new libx264
  - DNxHD encoder

Revision 1.147  2007/10/06 21:33:36  glen
- libavformat/allformats.h is no longer there

Revision 1.146  2007/10/06 17:09:03  glen
- 2007-10-06:
  - Matroska muxer
  - Slice-based parallel H.264 decoding
  - Monkey's Audio demuxer and decoder
  - additional SPARC (VIS) optimizations
  - AMV audio and video decoder

Revision 1.145  2007/08/27 20:37:35  glen
- changelog for snap update

Revision 1.144  2007/08/27 19:43:22  qboosh
- updated to 2007-08-27 snap
  - QTRLE encoder
  - OS/2 support removed
  - AC-3 decoder
  - NUT muxer (since r10052)
- added a52bin patch to drop liba52-devel dependency
- removed outdated fork patch

Revision 1.143  2007/07/31 22:24:12  qboosh
- added todo (-la52 should be killed from *.pc and linking)

Revision 1.142  2007/07/15 11:57:15  arekm
- rel 4

Revision 1.141  2007/07/13 08:01:28  arekm
- rel 3; pass --arch=

Revision 1.140  2007/06/27 09:22:05  glen
- rel 2

Revision 1.139  2007/06/26 21:27:24  glen
- install libavutil/intreadwrite.h

Revision 1.138  2007/06/26 21:11:33  glen
- update to 2007-06-26:
   - RoQ video encoder

Revision 1.137  2007/06/12 23:01:48  qboosh
- require amr* libs with wrappers

Revision 1.136  2007/06/12 21:58:31  qboosh
- noted libnut hp

Revision 1.135  2007/06/12 21:56:10  qboosh
- updated amr options
- dropped libdts-devel R from -devel

Revision 1.134  2007/06/12 10:47:13  glen
- add changes to changelog

Revision 1.133  2007/06/09 18:33:54  arekm
- up to snap 2007-06-09:
  - Atrac3 decoder
  - V.Flash PTX decoder
  - RoQ muxer, audio encoder
  - Renderware TXD demuxer and decoder

Revision 1.132  2007/04/11 19:52:39  glen
- updated to 2007-04-11:
  - TIFF picture encoder and decoder
  - DXA demuxer and decoder
  - DNxHD decoder
  - Gamecube movie (.THP) playback system
  - Blackfin optimizations
  - Interplay C93 demuxer and video decoder
  - Bethsoft VID demuxer and video decoder
  - CRYO APC demuxer

Revision 1.131  2007/04/09 06:35:39  qboosh
- tab

Revision 1.130  2007/04/09 00:10:51  emes
- fixed BReqs

Revision 1.129  2007/03/13 00:26:41  glen
- cosmetics

Revision 1.128  2007/03/13 00:26:02  glen
- updated to 2007-03-12:
  - BMP encoder
  - WMA encoder
  - GSM-MS encoder and decoder
  - DCA decoder
- imlib2 dep increased (has fixed badness with X_DISPLAY_MISSING define)

Revision 1.127  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.126  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.125  2007/01/29 00:10:59  glen
- 20070128 snap
- Flash Screen Video encoder
- Theora encoding via libtheora

Revision 1.124  2007/01/11 00:49:42  sls
- added img_convert_symbol.patch

Revision 1.123  2007/01/09 18:14:55  glen
- update to 2007-01-09 snap
- adds Zip Blocks Motion Video encoder
- adds Musepack decoder
- adds X11 frame grabber

Revision 1.122  2006/12/09 22:30:46  glen
- -j1 unneccessary

Revision 1.121  2006/12/09 17:26:34  qboosh
- dropped libtool patch, updated system-amr patch

Revision 1.120  2006/12/09 15:42:14  glen
- rel 2

Revision 1.119  2006/12/09 15:19:33  qboosh
- added link patch, fixes build with --as-needed
- build swscale lib

Revision 1.118  2006/12/09 14:50:03  qboosh
- added CVE reference (ffmpeg < 20060530 was vulnerable to CVE-2006-4800)
- AVISynth is Win32-only (uses WinAPI), mediaLib is Solaris-only

Revision 1.117  2006/12/08 16:40:50  glen
- install some additional headers to have compile time knowledge of enabled features

Revision 1.116  2006/12/08 12:52:33  glen
- libtool patch is broken and i have not enough mana to complete it and it works without it too
- rel 1

Revision 1.115  2006/12/06 15:11:19  glen
- linking is broken

Revision 1.114  2006/12/06 05:02:44  sparky
- added altivec_fix patch, needed for old gcc

Revision 1.113  2006/12/06 00:04:00  glen
- missing BR libraw1394-devel
- libogg-devel is used and libtheora-devel is not

Revision 1.112  2006/12/05 17:05:52  glen
- jobserver is able to create partial libtool files

Revision 1.111  2006/12/05 12:10:41  glen
- there's no --tune nor lzo configure options

Revision 1.110  2006/12/05 12:07:09  glen
- as_needed.patch obsolete

Revision 1.109  2006/12/05 12:06:18  glen
- add -kill-mabi_altivec.patch

Revision 1.108  2006/12/05 12:01:34  glen
- builds on amd64

Revision 1.107  2006/12/05 11:20:40  glen
- BUILD_DOC is yes if texi2html is usable (from tetex)

Revision 1.106  2006/12/04 22:52:24  glen
- 2006-12-04 snapshot (compiles)
  [fixes CVE-2006-4800]

Revision 1.105  2006/10/26 12:34:06  grzegol
- fixed to build with libx264-0.1.2-1.20061024_2245.1; rel. 15

Revision 1.104  2006/09/18 13:57:09  pluto
- amr bcond inverted (license issue).
- as-needed fix for configure.

Revision 1.103  2006/09/11 21:21:30  grzegol
- added x264 patch (fixes build with libx264 20060828 snapshot)
- rel. .14

Revision 1.102  2006/07/13 08:34:17  glen
- rel 13

Revision 1.101  2006/07/13 03:11:35  charles
- post{un} ldconfig moved to -libs

Revision 1.100  2006/07/02 13:14:01  qboosh
- added system-amr patch, use system amr{nb,wb} libs

Revision 1.99  2006/06/24 07:35:29  pluto
- release .11.

Revision 1.98  2006/06/09 20:56:34  qboosh
- updated URL

Revision 1.97  2006/05/28 09:35:27  pluto
- bump release.

Revision 1.96  2006/05/10 20:17:10  qboosh
- lzo bcond, disabled by default (needs upate for lzo 2)

Revision 1.95  2006/05/09 10:21:03  qboosh
- -devel R: libx264-devel now
- added versions to lzo-devel deps (lzo support must be disabled or updated)

Revision 1.94  2006/05/05 12:34:38  glen
- R faad2-devel for -devel

Revision 1.93  2006/05/02 07:48:36  pluto
- AMR bcond inverted, release .9

Revision 1.92  2006/05/01 10:37:01  aflinta
- enebled x264, rel up

Revision 1.91  2006/04/30 23:07:16  charles
- BR: unzip (for --with amr)

Revision 1.90  2006/04/23 19:53:49  mguevara
- src files cleanup (amr stuff)

Revision 1.89  2006/04/23 19:39:10  mguevara
- 0.4.9-3.20060129.8.8 - amr stuff cleanup, licensing info changed, _rel++

Revision 1.88  2006/04/21 00:23:52  mguevara
- adds 3GPP AMR voice codecs (bcond amr) for playing mobile phone
  recorded movies

Revision 1.87  2006/04/19 19:29:18  qboosh
- -devel R: lzo-devel if used (but lzo 2 is not supported)

Revision 1.86  2006/04/19 18:52:46  qboosh
- pl for -ffserver

Revision 1.85  2006/04/17 17:22:07  blues
- strict internal deps for ffserver subpackage

Revision 1.84  2006/04/16 20:17:01  glen
- run as ffserver

Revision 1.83  2006/04/16 18:26:47  glen
- drop ffmpeg-config (*.pc is sufficent)

Revision 1.82  2006/04/16 15:34:07  glen
- add ffmpeg-config to -devel from debian (maybe pointless due .pc files?)

Revision 1.81  2006/04/16 15:22:57  glen
- rc-scripts with --fork cap

Revision 1.80  2006/04/16 15:17:48  glen
- rc-scripts restart and register

Revision 1.79  2006/04/16 15:07:32  glen
- -ffserver subpackage

Revision 1.78  2006/04/16 14:42:29  glen
- cosmetics

Revision 1.77  2006/04/09 15:51:02  blues
- desc fixed

Revision 1.76  2006/04/09 15:46:06  blues
- rel 8.1 - separated libraries to libs subpackage.

Revision 1.75  2006/04/09 12:07:06  glen
- my vision ;)

Revision 1.74  2006/04/07 21:49:36  blues
- TODO added

Revision 1.73  2006/03/21 16:16:24  djurban
- jsut remove the damn option!

Revision 1.72  2006/03/21 16:15:56  djurban
- damn mistakes, dont leave comments after configure before you end it

Revision 1.71  2006/03/21 16:14:07  djurban
- disable x264, we have a snap that is too old and im not going to update
  it because the newer version needs gpac which is a pain to build

Revision 1.70  2006/03/21 16:00:44  djurban
- add support for more formats (lzo,x264)

Revision 1.69  2006/02/02 11:52:37  qboosh
- -devel R: libgsm-devel

Revision 1.68  2006/02/02 10:54:16  pluto
- libgsm support enabled.

Revision 1.67  2006/02/01 12:13:20  pluto
- libdir patch updated.

Revision 1.66  2006/02/01 01:15:43  pluto
- a52bin, faad final setup.

Revision 1.65  2006/01/30 11:30:39  qboosh
- -devel R: libdts-devel

Revision 1.64  2006/01/30 10:31:25  qboosh
- xvid >= 1.1.0 is required

Revision 1.63  2006/01/30 08:23:56  pluto
- cflags (i586,i686) += -mmmx.

Revision 1.62  2006/01/30 03:04:22  pluto
- libdts and faad2 support enabled.

Revision 1.61  2006/01/30 02:29:12  pluto
- gcc4 fix finished.

Revision 1.60  2006/01/29 17:27:32  qboosh
- updated to 20060129 snap
- updated libtool patch, removed obsolete pkgconfig-version patch
- added (conditional) gcc4-workaround patch instead of disabling MMX at all

Revision 1.59  2005/12/31 09:55:51  pluto
- fix .pc versioning ("CVS-" -> "49CVS-$build").

Revision 1.58  2005/12/29 16:10:10  pluto
- XvMC header packaged.

Revision 1.57  2005/12/21 20:50:04  wolf
- fixed a52, it was never working, as a52bin is not active without a52; a52bin
  doesn't link correctly

Revision 1.56  2005/12/04 14:23:35  qboosh
- comment fix

Revision 1.55  2005/12/04 12:54:55  pluto
- gcc41+ workaround.

Revision 1.54  2005/12/01 13:32:57  qboosh
- added libavcodec deps to -devel

Revision 1.53  2005/11/22 20:51:49  glen
- enable xvid

Revision 1.52  2005/11/01 12:36:22  qboosh
- use snap date as libavcodec/libavformat/libavutil -release
- release 3.20050806.1

Revision 1.51  2005/10/30 21:08:29  qboosh
- merged from DEVEL

Revision 1.50.2.2  2005/10/24 16:58:27  qboosh
- fixed libtool patch, added libdir patch

Revision 1.50.2.1  2005/10/13 15:33:01  qboosh
- updated to 20050806 snapshot
- removed obsolete imlib2 patch, gcc4 patch needs recheck
- enabled ogg/vorbis/theora

Revision 1.50  2005/08/27 08:22:52  qboosh
- sorted BRs

Revision 1.49  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.48  2005/05/04 18:23:19  speedy
- patch: gcc4

Revision 1.47  2005/04/13 17:34:48  qboosh
- normalize bcond for omitting BC

Revision 1.46  2005/04/08 21:52:46  speedy
- proper BR

Revision 1.45  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.44  2005/04/06 11:33:12  djurban
- enable lame, vorbis and faac audio, add bcond for BC that are introduced because of autoreqdepped names

Revision 1.43  2005/03/27 22:47:00  speedy
- BC: libpostproc

Revision 1.42  2005/02/16 21:00:49  charles
- BR: perl-tools-pod, tetex

Revision 1.41  2004/12/25 15:32:41  qboosh
- release .1

Revision 1.40  2004/12/25 13:26:00  qboosh
- added Obsoletes for libpostproc,libpostproc-devel
- reorders (lib stuff first)

Revision 1.39  2004/10/20 18:58:21  qboosh
- finished libtool patch
- use shared libpostproc from this package, mplayer version is broken
  (relies on some other portions of mplayer code)

Revision 1.38  2004/10/20 10:15:09  pluto
- shared libpostproc support almost finished.
  (TODO: /usr/lib/gcc/pentium3-pld-linux/3.4.3/../../../libpostproc.so:
         undefined reference to `fast_memcpy').

Revision 1.37  2004/10/19 22:57:31  qboosh
- updating patches (imlib2,libtool; the rest obsolete)

Revision 1.36  2004/10/18 20:50:36  qboosh
- NOT finished (patches not updated) - release 0.1

Revision 1.35  2004/10/14 19:37:37  mguevara
- update to 0.4.9-pre1
- disabled some patches - todo check this out
- added enable-gpl flag to configure
- added libpostproc to the package
- disabled the static package - *.a are missing - pre1 version?
- added needed defs to make install - DESTDIR is not enough
- TODO(2) libpostproc comes also with mplayer - check this

Revision 1.34  2004/03/11 14:59:40  pluto
- strict deps.
- bcond: imlib -> imlib2.

Revision 1.33  2004/02/28 17:31:12  saq
- more general ix86 %ifarchs

Revision 1.32  2004/02/24 04:15:30  pluto
- gcc 3.4 fixes.

Revision 1.31  2004/01/19 19:00:38  qboosh
- gcc is fixed - we can enable altivec now; new-style bcond, release 4

Revision 1.30  2004/01/02 17:16:40  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.29  2003/12/29 13:41:54  jajcus
- AMD64 build fixed

Revision 1.28  2003/11/09 15:29:25  qboosh
- removed BR libstdc++-devel (it was caused by SDL, which has been fixed now)
- fixed libtool patch - now builds on alpha
- disabled altivec because of gcc 3.3.[012] ICE
- release 2

Revision 1.27  2003/11/09 00:31:10  matkor
- BR: libstdc++-devel.

Revision 1.26  2003/10/13 22:14:51  qboosh
- up to 0.4.8
- updated opt and libtool patches
- BR: fixed imlib2

Revision 1.25  2003/09/09 10:24:20  ankry
- spaces -> tab

Revision 1.24  2003/09/04 19:59:22  qboosh
- 0.4.7, updated opt,imlib2,libtool patches
- added ffplay as subpackage

Revision 1.23  2003/08/18 08:08:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:47:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/13 09:12:58  qboosh
- libtool patch requires libtool >= 1.4d

Revision 1.19  2003/04/08 10:33:14  qboosh
- use http for sources from sourceforge

Revision 1.18  2003/03/02 17:03:02  adgor
- Fixed without_imlib bcond

Revision 1.17  2003/03/02 16:04:22  qboosh
- fixed --tag in libtool patch (CC not CXX) to avoid bogus linking with -lstdc++
- pass CC to make (fixes install)

Revision 1.16  2003/01/12 19:22:25  aflinta
- added _without_imlib bcond

Revision 1.15  2003/01/05 03:30:59  qboosh
- 0.4.6, updated opt patch
- added imlib2 patch to fix imlib2 detection
- added libtool patch - use libtool to build shared libraries correctly
- standard split + vhook-imlib2 subpackage (because of imlib2 dependency)
- changed config file perms - ffserver shouldn't be run as root

Revision 1.14  2002/10/28 07:19:51  kloczek
- release 3: use new %doc.

Revision 1.13  2002/04/25 16:17:50  arturs
- fixed a small typo

Revision 1.12  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/26 13:14:28  filon
- athlon updates
- release 2

Revision 1.10  2002/01/18 02:12:55  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/08 13:45:39  qboosh
- ugh? disable-mmx on archs _other_ than i[56]86, not on i[56]86

Revision 1.8  2001/09/05 16:40:03  filon
- updated to 0.4.5
- updated opt patch, added configure (don't change to %configure - it's not compatibile)

Revision 1.7  2001/08/12 10:24:43  qboosh
- opt patch
- require nasm on 586/686 only (MMX functions - chosen at runtime)

Revision 1.6  2001/07/26 10:53:26  newrom
- Added nasm to BuildRequires

Revision 1.5  2001/07/25 17:21:31  newrom
- Updated to 0.4.4
- Changed Source0: and URL: location
- Removed %{rpmcflags} macro (doesn't compile with)

Revision 1.4  2001/04/30 16:05:17  kloczek
- added using %{rpmcflags} macro.

Revision 1.3  2001/03/29 09:23:40  mis
- autoupdated to 0.3.4

Revision 1.2  2001/02/18 22:51:59  kloczek
- spec adapterized.

Revision 1.1  2001/02/17 16:49:12  misiek
- New. Audio/Video encoder and streaming server
